-- MySQL Workbench Synchronization
-- Generated: 2022-05-06 14:33:28
-- Model: nccs
-- Version: D07.03.26
-- Project: idsteServers
-- Author:


SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

DROP TABLE IF EXISTS `nccs`.`CallWaiter`;
DROP TABLE IF EXISTS `nccs`.`DeviceDesiredStaus`;
DROP TABLE IF EXISTS `nccs`.`DeviceStatus`;
DROP TABLE IF EXISTS `nccs`.`DeviceStatusExt`;
DROP TABLE IF EXISTS `nccs`.`DisableDevSession`;
DROP TABLE IF EXISTS `nccs`.`IpCall`;
DROP TABLE IF EXISTS `nccs`.`IpCameraRtmp`;
DROP TABLE IF EXISTS `nccs`.`LastProcessedTime`;
DROP TABLE IF EXISTS `nccs`.`MsgTaskDev`;
DROP TABLE IF EXISTS `nccs`.`MsgTasks`;
DROP TABLE IF EXISTS `nccs`.`NotificationMsg`;
DROP TABLE IF EXISTS `nccs`.`PlayerAlive`;
DROP TABLE IF EXISTS `nccs`.`SrsServer`;
DROP TABLE IF EXISTS `nccs`.`SrsServerStatus`;
DROP TABLE IF EXISTS `nccs`.`DeviceCtrlSchedule`;
DROP TABLE IF EXISTS `nccs`.`GroupCtrlSchedule`;
DROP TABLE IF EXISTS `nccs`.`Messages`;

DROP TABLE IF EXISTS `nccs`.`SchoolInfo`;
DROP TABLE IF EXISTS `nccs`.`UserSchools`;

update `nccs`.`Users` set `User_Type` = 4,`IsSuper` = 1 where `User_Type` = 5;
/*
   部分已有的权限调整
*/
update `nccs`.`Users` set `PrivilegeList` = replace(`PrivilegeList`, "1005", "2009");
update `nccs`.`Users` set `PrivilegeList` = replace(`PrivilegeList`, "1008", "4005");
update `nccs`.`Users` set `PrivilegeList` = replace(`PrivilegeList`, "1009", "4006");


-- DevUsedStatus
CREATE TABLE IF NOT EXISTS `nccs`.`DevUsedStatusV2` (
   `id` int(11) NOT NULL  AUTO_INCREMENT,
  `DevID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '融合终端，音视频直转播终端，mic等设备的ID(因为mic可能从一个设备挪到另一个设备使用所以单独为mic创建记录)',
  `Type` int(10) NOT NULL COMMENT '用于区分设备类型(0:融合终端 1:空调 2:电源 10:音视频直转播终端 11:麦克风 12:网关设备  )',
  `Status` enum('offline','online','pwrOn','pwrOff','using','isPushing') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'offline:离线 online:在线 pwrOn:开机 pwrOff:关机 using:使用中 isPushing:推流中',
  `UpdateDate` date NOT NULL DEFAULT '2022-04-19' COMMENT 'mic和充电桩上报该状态时的时间',
  `Count` int(10) NOT NULL COMMENT '设备切换为该状态的次数',
  UNIQUE INDEX `Dev_Status_Date`(`DevID`, `Status`, `UpdateDate`, `Type`) USING BTREE,
  PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

insert into `nccs`.`DevUsedStatusV2` (`DevID`,`Type`,`Status`,`UpdateDate`, `Count`) (select `DevID`,`Type`,`Status`,`UpdateDate`,sum(`Count`) from `nccs`.`DevUsedStatus` group by `DevID`,`Type`,`Status`,`UpdateDate`) ;


-- EnvDataCh2oV2
CREATE TABLE IF NOT EXISTS `nccs`.`EnvDataCh2oV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

insert into `nccs`.`EnvDataCh2oV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataCh2o` group by `ReportDate`,`DeviceID`) ;

-- EnvDataCo2V2
CREATE TABLE IF NOT EXISTS `nccs`.`EnvDataCo2V2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

insert into `nccs`.`EnvDataCo2V2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataCo2` group by `ReportDate`,`DeviceID`) ;

-- EnvDataHumidityV2
CREATE TABLE  IF NOT EXISTS `nccs`.`EnvDataHumidityV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataHumidityV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataHumidity` group by `ReportDate`,`DeviceID`) ;

-- EnvDataInfraredV2
CREATE TABLE IF NOT EXISTS `nccs`.`EnvDataInfraredV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` int(11) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataInfraredV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataInfrared` group by `ReportDate`,`DeviceID`) ;

-- EnvDataLightV2
CREATE TABLE IF NOT EXISTS `nccs`.`EnvDataLightV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataLightV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataLight` group by `ReportDate`,`DeviceID`) ;

-- EnvDataNoiseV2
CREATE TABLE  IF NOT EXISTS `nccs`.`EnvDataNoiseV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataNoiseV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataNoise` group by `ReportDate`,`DeviceID`) ;

-- EnvDataPm2dot5V2
CREATE TABLE IF NOT EXISTS `nccs`.`EnvDataPm2dot5V2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataPm2dot5V2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataPm2dot5` group by `ReportDate`,`DeviceID`) ;

-- EnvDataRadarV2
CREATE TABLE IF NOT EXISTS  `nccs`.`EnvDataRadarV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` int(11) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataRadarV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataRadar` group by `ReportDate`,`DeviceID`) ;

-- EnvDataTemperatureV2
CREATE TABLE IF NOT EXISTS `nccs`.`EnvDataTemperatureV2`  (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataTemperatureV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataTemperature` group by `ReportDate`,`DeviceID`) ;

-- EnvDataTvocV2
CREATE TABLE IF NOT EXISTS  `nccs`.`EnvDataTvocV2` (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `ReportDate` datetime(0) NOT NULL,
    `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `Val` float(11, 2) NOT NULL,
    UNIQUE INDEX `INDEX`(`ReportDate`, `DeviceID`) USING BTREE,
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
insert into `nccs`.`EnvDataTvocV2` (`ReportDate`,`DeviceID`,`Val`) (select `ReportDate`,`DeviceID`,sum(`Val`) from `nccs`.`EnvDataTvoc` group by `ReportDate`,`DeviceID`) ;



-- 下面的内容走的是代码更新
/*

-- AlternateDate
delete from `nccs`.`AlternateDate` where SpecialDate in (select SpecialDate from (select SpecialDate, count(SpecialDate) as count, SchoolID from AlternateDate group by SpecialDate) as a where a.count >1) and SchoolID!=1;
ALTER TABLE `nccs`.`AlternateDate` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`AlternateDate` DROP COLUMN `SchoolID`;
DROP INDEX `date_school` ON `nccs`.`AlternateDate`;
ALTER TABLE `nccs`.`AlternateDate` ADD PRIMARY Key (`SpecialDate`);


-- BaseInfo 表处理
delete `nccs`.`BaseInfo` from `nccs`.`BaseInfo` inner join (select `InfomationID`,count from (select InfomationID, count(InfomationID) as count, SchoolID from BaseInfo group by InfomationID) as a where a.count >1) as b on `nccs`.`BaseInfo`.InfomationID=b.InfomationID where `nccs`.`BaseInfo`.SchoolID!=1;
ALTER TABLE `nccs`.`BaseInfo` DROP INDEX `index`;
ALTER TABLE `nccs`.`BaseInfo` ADD PRIMARY Key (`InfomationID`);
ALTER TABLE `nccs`.`BaseInfo` DROP COLUMN `SchoolID`;

-- BroadcastMode
ALTER TABLE `nccs`.`BroadcastMode` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`BroadcastMode` DROP COLUMN `SchoolID`;

-- DevClasses
ALTER TABLE `nccs`.`DevClasses` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`DevClasses` DROP COLUMN `SchoolID`;

-- DeviceList
ALTER TABLE `nccs`.`DeviceList` DROP COLUMN `SchoolID`;

-- DeviceLog
ALTER TABLE `nccs`.`DeviceLog` DROP INDEX `schoolTime`;
ALTER TABLE `nccs`.`DeviceLog` DROP COLUMN `SchoolID`;


-- DeviceStatistic
delete `nccs`.`DeviceStatistic` from `nccs`.`DeviceStatistic` inner join (select DeviceID,StatisticDay,count from (select DeviceID, StatisticDay, count(StatisticDay) as count, SchoolID from DeviceStatistic group by DeviceID, StatisticDay) as a where a.count >1) as b on `nccs`.`DeviceStatistic`.DeviceID=b.DeviceID and `nccs`.`DeviceStatistic`.StatisticDay=b.StatisticDay where `nccs`.`DeviceStatistic`.SchoolID!=1;
ALTER TABLE `nccs`.`DeviceStatistic` DROP PRIMARY Key;
ALTER TABLE `nccs`.`DeviceStatistic` ADD PRIMARY Key (`DeviceID`,`StatisticDay`);
ALTER TABLE `nccs`.`DeviceStatistic` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`DeviceStatistic` DROP COLUMN `SchoolID`;


-- DevicePower
ALTER TABLE `nccs`.`DevicePower` DROP INDEX `StatisticDay`;
ALTER TABLE `nccs`.`DevicePower` ADD UNIQUE Key `StatisticDay` (`StatisticDay`,`DeviceID`,`SubID`,`SubType`) USING BTREE;
ALTER TABLE `nccs`.`DevicePower` DROP COLUMN `SchoolID`;
-- 將今年最新表的SchoolID设置为默认为0，并且不用清除SchoolID字段
ALTER TABLE `nccs`.`DevicePower2022` MODIFY COLUMN SchoolID int(11) NOT NULL DEFAULT 0; 


-- DevStartingPic
delete from `nccs`.`DevStartingPic` where `Type` in (select `Type` from (select `Type`, count(`Type`) as count, SchoolID from DevStartingPic group by `Type`) as a where a.count >1) and SchoolID!=1;
ALTER TABLE `nccs`.`DevStartingPic` DROP PRIMARY Key;
ALTER TABLE `nccs`.`DevStartingPic` ADD PRIMARY Key (`Type`);
ALTER TABLE `nccs`.`DevStartingPic` DROP COLUMN `SchoolID`;


-- DoubleClass
ALTER TABLE `nccs`.`DoubleClass` DROP COLUMN `SchoolId`;

-- DoubleClassCourse
ALTER TABLE `nccs`.`DoubleClassCourse` DROP COLUMN `SchoolIds`;

*/






/*
-- Event
ALTER TABLE `nccs`.`Event` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`Event` DROP COLUMN `SchoolID`;

-- EventModel
ALTER TABLE `nccs`.`EventModel` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`EventModel` DROP COLUMN `SchoolID`;

-- Firmware
ALTER TABLE `nccs`.`Firmware` DROP INDEX `nameIndex`;
ALTER TABLE `nccs`.`Firmware` DROP COLUMN `school_id`;

-- Graphics
ALTER TABLE `nccs`.`Graphics` DROP COLUMN `SchoolID`;

-- GraphicSessions
ALTER TABLE `nccs`.`GraphicSessions` DROP COLUMN `school_id`;


-- LogicClasses
ALTER TABLE `nccs`.`LogicClasses` DROP INDEX `nameSchoolIndex`;
ALTER TABLE `nccs`.`LogicClasses` DROP COLUMN `school_id`;


-- MediaFiles
ALTER TABLE `nccs`.`MediaFiles` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`MediaFiles` DROP COLUMN `SchoolID`;


-- MicPhoneList
ALTER TABLE `nccs`.`MicPhoneList` DROP COLUMN `school_id`;

-- MicStubList
ALTER TABLE `nccs`.`MicStubList` DROP COLUMN `school_id`;

-- Players
ALTER TABLE `nccs`.`Players` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`Players` DROP COLUMN `SchoolID`;

-- PlayerStatus
ALTER TABLE `nccs`.`PlayerStatus` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`PlayerStatus` DROP COLUMN `SchoolID`;

-- PlaySessions
ALTER TABLE `nccs`.`PlaySessions` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`PlaySessions` DROP COLUMN `SchoolID`;


-- PwrDisplaySet
delete `nccs`.`PwrDisplaySet` from `nccs`.`PwrDisplaySet` inner join (select `PwrID`,`Name`,`Type`,`Icon`,count from (select PwrID,Name,`Type`,`Icon`, SchoolID,count(PwrID) as count from PwrDisplaySet group by PwrID) as a where a.count >1) as b on `nccs`.`PwrDisplaySet`.PwrID=b.PwrID where `nccs`.`PwrDisplaySet`.SchoolID!=1;
ALTER TABLE `nccs`.`PwrDisplaySet` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`PwrDisplaySet` DROP COLUMN `SchoolID`;


-- RegisterUser
ALTER TABLE `nccs`.`RegisterUser` DROP COLUMN `SchoolID`;
ALTER TABLE `nccs`.`RegisterUser` DROP COLUMN `MatchSchoolID`;


-- RfChildType
delete `nccs`.`RfChildType` from `nccs`.`RfChildType` inner join (select `RfType`,`Name`, count from (select `RfType`,`Name`,SchoolID, count(RfType) as count from RfChildType group by `Name`) as a where a.count >1) as b on `nccs`.`RfChildType`.Name=b.Name where `nccs`.`RfChildType`.SchoolID!=1;
ALTER TABLE `nccs`.`RfChildType` DROP INDEX `School_Name`;
ALTER TABLE `nccs`.`RfChildType` DROP COLUMN `SchoolID`;
ALTER TABLE `nccs`.`RfChildType` ADD UNIQUE KEY `rfName` (`Name`) USING BTREE;

-- SectionTable
delete `nccs`.`SectionTable` from `nccs`.`SectionTable` inner join (select `zone`,`name`, count from (select `zone`,`name`,SchoolID, count(`zone`) as count from SectionTable group by `Name`, `zone`) as a where a.count >1) as b on `nccs`.`SectionTable`.Name=b.Name and `nccs`.`SectionTable`.`zone`=b.`zone` where `nccs`.`SectionTable`.SchoolID!=1;
ALTER TABLE `nccs`.`SectionTable` DROP INDEX `SectionTableUnique`;
ALTER TABLE `nccs`.`SectionTable` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`SectionTable` DROP COLUMN `SchoolID`;
ALTER TABLE `nccs`.`SectionTable` ADD UNIQUE INDEX `SectionTableUnique` (`zone` ASC,`name` ASC) USING BTREE;



-- SessionHistory
delete `nccs`.`SessionHistory` from `nccs`.`SessionHistory` inner join (select `SessionID`,`ScheduleID`,`HistoryDate`,`ScheduleTime`, count from (select `SessionID`,`ScheduleID`,`HistoryDate`,`ScheduleTime`, count(`ScheduleTime`) as count from SessionHistory group by `SessionID`,`ScheduleID`,`HistoryDate`,`ScheduleTime`) as a where a.count >1) as b on `nccs`.`SessionHistory`.`SessionID`=b.`SessionID` and `nccs`.`SessionHistory`.`ScheduleID`=b.`ScheduleID` and `nccs`.`SessionHistory`.`HistoryDate`=b.`HistoryDate` and `nccs`.`SessionHistory`.`ScheduleTime`=b.`ScheduleTime` where `nccs`.`SessionHistory`.SchoolID!=1;
ALTER TABLE `nccs`.`SessionHistory` DROP INDEX `SessionID`;
ALTER TABLE `nccs`.`SessionHistory` DROP COLUMN `SchoolID`;
ALTER TABLE `nccs`.`SessionHistory` ADD UNIQUE KEY `SessionID` (`SessionID`,`ScheduleID`,`HistoryDate`,`ScheduleTime`) USING BTREE;




-- SubNetwork
ALTER TABLE `nccs`.`SubNetwork` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`SubNetwork` DROP COLUMN `SchoolID`;


-- SystemLog
ALTER TABLE `nccs`.`SystemLog` DROP INDEX `SchoolAt`;
ALTER TABLE `nccs`.`SystemLog` DROP COLUMN `SchoolID`;



-- TaskTemplate
ALTER TABLE `nccs`.`TaskTemplate` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`TaskTemplate` DROP COLUMN `SchoolID`;

-- Timetable
ALTER TABLE `nccs`.`Timetable` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`Timetable` DROP COLUMN `SchoolID`;




-- Users




ALTER TABLE `nccs`.`Users` DROP INDEX `IcCard_UNIQUE`;
ALTER TABLE `nccs`.`Users` ADD UNIQUE INDEX `IcCard_UNIQUE` USING BTREE (`IcCard`);

ALTER TABLE `nccs`.`Users` DROP INDEX `User_Sn_UNIQUE`;
ALTER TABLE `nccs`.`Users` ADD UNIQUE INDEX `User_Sn_UNIQUE` USING BTREE (`User_Sn`);


ALTER TABLE `nccs`.`Users` DROP INDEX `Phone_UNIQUE`;
ALTER TABLE `nccs`.`Users` ADD UNIQUE INDEX `Phone_UNIQUE` USING BTREE (`Phone`);

ALTER TABLE `nccs`.`Users` DROP INDEX `schoolIndex`;
ALTER TABLE `nccs`.`Users` DROP COLUMN `SchoolID`;
*/

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;