-- MySQL Workbench Synchronization
-- Generated: 2022-10-20 09:33:28
-- Model: nccs
-- Version: D08.01.01
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- 添加协议设备类型字段
ALTER TABLE `nccs`.`DeviceList` ADD COLUMN `ProtocolDevName`  VARCHAR(16) DEFAULT '' COMMENT '协议设备类型';
ALTER TABLE `nccs`.`Players` ADD COLUMN `ProtocolDevName`  VARCHAR(16) DEFAULT '' COMMENT '协议设备类型';

-- BW805 音频通道配置
ALTER TABLE `nccs`.`Players` ADD COLUMN `AudioChannelConfig`  varchar(1024) NOT NULL DEFAULT '' COMMENT '音频通道配置';

-- BW805 采播场景
CREATE TABLE IF NOT EXISTS `nccs`.`PlayerScenes` (
  `PlayerID` varchar(50) NOT NULL DEFAULT '' COMMENT '采播设备ID',
  `SceneID` int(11) NOT NULL DEFAULT '1' COMMENT '采播设备场景ID',
  `SceneName` varchar(96) NOT NULL DEFAULT '' COMMENT '场景名称（不能超过32个汉字）',
  `SceneCtrlList` varchar(4096) NOT NULL DEFAULT '' COMMENT '场景控制列表，为json字符串',
  PRIMARY KEY (`PlayerID`,`SceneID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- BW805 逻辑分区增加分类列（采播设备按键对应的设备采用逻辑分区存储）
ALTER TABLE `nccs`.`LogicClasses` ADD COLUMN `type`  tinyint NOT NULL DEFAULT 1 COMMENT '类型 1-采播设备逻辑分区';

-- BW805 逻辑分区增加注释
ALTER TABLE `nccs`.`LogicClasses`
MODIFY COLUMN `name`  varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '逻辑分区名称（不重复 使用其他表数据生成的名称）' AFTER `id`,
MODIFY COLUMN `extend_name`  varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '逻辑分区扩展名称（用于显示的名称）' AFTER `name`,
COMMENT='设备逻辑分区';

ALTER TABLE `nccs`.`LogicClassDevices`
MODIFY COLUMN `id`  int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID' FIRST ,
MODIFY COLUMN `class_id`  int(11) NOT NULL COMMENT '逻辑分区ID' AFTER `id`,
MODIFY COLUMN `device`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `class_id`,
COMMENT='逻辑分区设备';

-- 采播定时任务相关字段
ALTER TABLE `nccs`.`PlaySessionTime`
ADD COLUMN `TaskType`  varchar(255) NOT NULL DEFAULT '' COMMENT '采播推流类型 video-视频推流   audio-音频推流' AFTER `Length`;
ALTER TABLE `nccs`.`PlaySessionTime`
ADD COLUMN `AudioChannels`  varchar(255) NOT NULL DEFAULT '' COMMENT '采播开启音频通道（存储通道下标数组）' AFTER `TaskType`;
ALTER TABLE `nccs`.`PlaySessionTime`
ADD COLUMN `LocalMedia`  varchar(4096) NOT NULL DEFAULT '' COMMENT '采播任务选择的设备媒体信息' AFTER `AudioChannels`;
ALTER TABLE `nccs`.`PlaySessionTime`
ADD COLUMN `KeyZones`  varchar(255) NOT NULL DEFAULT '' COMMENT '801 805 定时任务按键分区' AFTER `LocalMedia`;


-- 去掉按键分区外键
ALTER TABLE `nccs`.`PlayerKeys` DROP FOREIGN KEY `PlayerLogicClassID`;
ALTER TABLE `nccs`.`PlayerKeys` DROP INDEX `PlayerLogicClassID`;

-- 去掉设备逻辑分区外键
ALTER TABLE `nccs`.`LogicClassDevices` DROP FOREIGN KEY `classForeignKey`;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;