-- MySQL Workbench Synchronization
-- Generated: 2022-11-11 14:44:57
-- Model: nccs
-- Version: D08.01.04
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- 去掉IC卡号前面的0
UPDATE Users SET ICCard = REPLACE(LTRIM(REPLACE(ICCard, 0, ' ')), ' ', 0);



CREATE TABLE `nccs`.`BrdModeAndLogicalPartition`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brd_mode_id` int(11) NOT NULL COMMENT '模式ID',
  `logical_partition_id` int(11) NOT NULL COMMENT '逻辑分区ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `logical_partition_id`(`logical_partition_id`, `brd_mode_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模式接收成员空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`BrdModeAndSpace`  (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `brd_mode_id` int(11) NOT NULL COMMENT '模式ID',
   `space_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '空间ID',
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `space_id`(`space_id`, `brd_mode_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模式接收成员空间表' ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`BroadcastMode` ADD COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 0 COMMENT '0:设备，1：空间 ，2：分组' AFTER `StopEntryID`;

CREATE TABLE `nccs`.`EnvControlAndLogicalPartition`  (
     `id` int(11) NOT NULL AUTO_INCREMENT,
     `env_ctrl_info_id` int(11) NOT NULL COMMENT '环境策略ID',
     `logical_partition_id` int(11) NOT NULL COMMENT '逻辑分区ID',
     PRIMARY KEY (`id`) USING BTREE,
     UNIQUE INDEX `logical_partition_id`(`logical_partition_id`, `env_ctrl_info_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模式接收成员空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`EnvControlAndSpace`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `env_ctrl_info_id` int(11) NOT NULL COMMENT '环境策略ID',
  `space_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '空间ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `space_id`(`space_id`, `env_ctrl_info_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模式接收成员空间表' ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`EnvControlInfo` ADD COLUMN `ReceivingEndType` int(10) NOT NULL DEFAULT 0 COMMENT '0: 设备 1：空间，2：分组' AFTER `TimeSpot`;

CREATE TABLE `nccs`.`GraphicAndLogicalPartition`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) NOT NULL,
  `logical_partition_id` int(11) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `session_id`(`session_id`, `logical_partition_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '图文任务空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`GraphicAndSpace`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `session_id` int(11) NOT NULL,
    `space_id` int(11) NOT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `session_id`(`session_id`, `space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '图文任务空间表' ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`GraphicSessions` ADD COLUMN `receiving_end_type` int(11) NOT NULL DEFAULT 0 AFTER `update_status_time`;

CREATE TABLE `nccs`.`LogicalPartition`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `p_id` int(11) NOT NULL DEFAULT 0,
    `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `group_id` int(11) NOT NULL DEFAULT 0,
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '逻辑分区' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`LogicalPartitionAndSpace`  (
    `logical_partition_id` int(11) NOT NULL,
    `space_id` int(11) NOT NULL,
    `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '空间移动至逻辑分区后 名称',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    UNIQUE INDEX `logical_partition_id`(`logical_partition_id`, `space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '逻辑分区与空间' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`LogicalPartitionGroup`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '逻辑分区组' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`Monitor`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `space_id` int(11) NOT NULL DEFAULT 0,
    `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '主码流',
    `sub_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '副码流',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `space_id`(`space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '监控' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`PhysicalPartition`  (
     `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
     `p_id` int(11) NOT NULL DEFAULT 0 COMMENT '分区父ID 根分区 0',
     `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '名称',
     `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
     `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
     PRIMARY KEY (`id`) USING BTREE,
     INDEX `p_id`(`p_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '物理分区' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`PhysicalPartitionAndSpace`  (
     `physical_partition_id` int(11) NOT NULL,
     `space_id` int(11) NOT NULL,
     `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
     `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
     UNIQUE INDEX `physical_partition_id`(`physical_partition_id`, `space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '物理分区与空间' ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`PlaySessions` ADD COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 0 COMMENT '0: 设备 1：空间，2：分组' AFTER `Template`;

CREATE TABLE `nccs`.`RemotePC`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `ip` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `ctrl_pwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `view_pwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `port` int(255) NOT NULL DEFAULT 0,
    `space_id` int(11) NOT NULL,
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `space_id`(`space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '远程电脑控制' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`SessionAndLogicalPartition`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) NOT NULL,
  `logical_partition_id` int(11) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `session_id`(`session_id`, `logical_partition_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`SessionAndPhysicalPartition`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `session_id` int(11) NOT NULL,
    `physical_partition_id` int(11) NOT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `session_id`(`session_id`, `physical_partition_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`SessionAndSpace`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `session_id` int(11) NOT NULL,
    `space_id` int(11) NOT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `session_id`(`session_id`, `space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`Space`  (
     `id` int(11) NOT NULL AUTO_INCREMENT,
     `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '空间名称',
     `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
     `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
     PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`SpaceAndDevice`  (
    `space_id` int(11) NOT NULL COMMENT '空间ID',
    `dev_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `is_master` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:从设备，1：主设备',
    `enable_audio` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:禁用，1：启用',
    `enable_video` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:禁用，1：启用',
    `enable_rf` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0:禁用，1：启用 默认启用 ',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    UNIQUE INDEX `space_id`(`space_id`, `dev_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`UserAndLogicalPartition`  (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `user_id` int(11) NOT NULL,
   `logical_partition_id` int(11) NOT NULL,
   `pri` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'bit0: 用户可以使用的设备\\nbit1: 用户可以管理的设备',
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `session_id`(`user_id`, `logical_partition_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务空间表' ROW_FORMAT = Dynamic;

CREATE TABLE `nccs`.`UserAndSpace`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `user_id` int(11) NOT NULL,
    `space_id` int(11) NOT NULL,
    `pri` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'bit0: 用户可以使用的设备\\nbit1: 用户可以管理的设备',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `session_id`(`user_id`, `space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务空间表' ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`Users` ADD COLUMN `UseReceivingEndType` int(11) NOT NULL DEFAULT 0 AFTER `SyncLockEndTime`;

ALTER TABLE `nccs`.`Users` ADD COLUMN `MgrReceivingEndType` int(11) NOT NULL DEFAULT 0 AFTER `UseReceivingEndType`;

-- 音频媒体编码设置为MP3
UPDATE `MediaFiles` SET `AudioCodec` = 1 WHERE `AudioCodec` = 0 AND `VedioCodec` = -1;

-- 今日任务区分PC呼叫台和BW801
ALTER TABLE `SessionHistory` ADD COLUMN `PlayerID`  varchar(50) NOT NULL DEFAULT '' COMMENT '采播设备ID' AFTER `HistoryDate`;


-- 1、初始化物理分区根节点

INSERT INTO PhysicalPartition(`name`,p_id) VALUES('根节点',0);

-- 2、初始化空间表

INSERT INTO Space(`name`) SELECT d.DevID FROM DeviceList d;

INSERT INTO PhysicalPartitionAndSpace(`physical_partition_id`,space_id) SELECT p.id,s.id FROM Space s,PhysicalPartition p  WHERE p.p_id=0;
-- 3、初始化空间与设备关联表

INSERT INTO SpaceAndDevice(space_id,dev_id,is_master,enable_audio,enable_video) SELECT s.id,d.DevID,1,1,1 FROM Space s INNER  JOIN DeviceList d on s.name=d.DevID;
-- 4、 初始化空间名称

UPDATE Space s INNER JOIN DeviceList d on d.DevID=s.`name`  SET s.`name` =CONVERT(d.Dev_Description USING gbk)  WHERE  d.Dev_Description is not null;
-- 5、初始化用户 设备权限

UPDATE Users SET UseReceivingEndType=1,MgrReceivingEndType=1;

INSERT INTO UserAndSpace(user_id,space_id,pri) SELECT ud.UserID,sd.space_id,ud.Pri FROM  UserDevices ud INNER JOIN SpaceAndDevice sd on sd.dev_id=ud.DevID;




SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;