-- MySQL Workbench Synchronization
-- Generated: 2022-11-11 14:44:57
-- Model: nccs
-- Version: D08.01.04
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- 投影仪和预览信号源通道
CREATE TABLE `SignalSourceChannel`(
    `id`                int(11) NOT NULL AUTO_INCREMENT,
    `space_id`          int(11) NOT NULL DEFAULT 0 COMMENT '空间id',
    `projector_channel` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '投影仪通道',
    `preview_channel`   varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '预览通道',
    `update_time`       datetime                                                NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP (0),
    `create_time`       datetime                                                NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE,
    INDEX               `space_id` (`space_id`) USING BTREE
) ENGINE = InnoDB CHARSET = utf8 COLLATE = utf8_general_ci COMMENT ='投影仪和预览信号源通道配置表' ROW_FORMAT = Dynamic;




CREATE TABLE `nccs`.`BrdModeAndPartitionNode`  (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `brd_mode_id` int(11) NOT NULL COMMENT '模式ID',
   `partition_id` int(11) NOT NULL COMMENT '逻辑分区ID',
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `logical_partition_id`(`partition_id`, `brd_mode_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模式接收成员空间表' ROW_FORMAT = DYNAMIC;

CREATE TABLE `nccs`.`EnvControlAndPartitionNode`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `env_ctrl_info_id` int(11) NOT NULL COMMENT '环境策略ID',
  `partition_id` int(11) NOT NULL COMMENT '逻辑分区ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `logical_partition_id`(`partition_id`, `env_ctrl_info_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模式接收成员空间表' ROW_FORMAT = DYNAMIC;

CREATE TABLE `nccs`.`GraphicAndPartitionNode`  (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `session_id` int(11) NOT NULL,
   `partition_id` int(11) NOT NULL,
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `session_id`(`session_id`, `partition_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '图文任务空间表' ROW_FORMAT = DYNAMIC;

CREATE TABLE `nccs`.`Partition`  (
 `id` int(11) NOT NULL AUTO_INCREMENT,
 `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
 `type` tinyint(1) NOT NULL COMMENT '是否为物理分区：0：逻辑分区，1：物理分区',
 `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
 `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
 `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '逻辑分区组' ROW_FORMAT = DYNAMIC;

CREATE TABLE `nccs`.`PartitionNode`  (
 `id` int(11) NOT NULL AUTO_INCREMENT,
 `p_id` int(11) NOT NULL DEFAULT 0,
 `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
 `partition_id` int(11) NOT NULL DEFAULT 0,
 `space_id` int(11) NOT NULL DEFAULT 0 COMMENT '空间ID',
 `order_number` int(11) NOT NULL DEFAULT 0,
 `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
 `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '逻辑分区' ROW_FORMAT = DYNAMIC;

CREATE TABLE `nccs`.`SessionAndPartitionNode`  (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `session_id` int(11) NOT NULL,
   `partition_id` int(11) NOT NULL,
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `session_id`(`session_id`, `partition_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务空间表' ROW_FORMAT = DYNAMIC;

CREATE TABLE `nccs`.`UserAndPartitionNode` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `user_id` int(11) NOT NULL,
    `partition_id` int(11) NOT NULL,
    `pri` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'bit0: 用户可以使用的设备\\nbit1: 用户可以管理的设备',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `session_id` (`user_id`,`partition_id`) USING BTREE
) ENGINE=InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户分区表' ROW_FORMAT = DYNAMIC;

ALTER TABLE `nccs`.`Space` ADD COLUMN `play_audio` tinyint(1) NOT NULL DEFAULT 0 COMMENT '能否播放音频' AFTER `name`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `play_video` tinyint(1) NOT NULL DEFAULT 0 COMMENT '能否播放视频' AFTER `play_audio`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `play_graphic` tinyint(1) NOT NULL DEFAULT 0 COMMENT ' 能否播放图文' AFTER `play_video`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `ctrl_rf` tinyint(1) NOT NULL DEFAULT 0 COMMENT '能否控制物联' AFTER `play_graphic`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `master_dev_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '主设备ID' AFTER `ctrl_rf`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `is_deleted` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否已删除' AFTER `master_dev_id`;

ALTER TABLE `nccs`.`SpaceAndDevice` MODIFY COLUMN `dev_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID' FIRST;

ALTER TABLE `nccs`.`SpaceAndDevice` MODIFY COLUMN `enable_rf` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0:禁用，1：启用 默认启用' AFTER `enable_video`;

ALTER TABLE `nccs`.`SpaceAndDevice` ADD PRIMARY KEY (`dev_id`) USING BTREE;

ALTER TABLE `nccs`.`SpaceAndDevice` DROP COLUMN `is_master`;

DROP TABLE `nccs`.`BrdModeAndLogicalPartition`;

DROP TABLE `nccs`.`BrdModeAndSpace`;

DROP TABLE `nccs`.`EnvControlAndLogicalPartition`;

DROP TABLE `nccs`.`EnvControlAndSpace`;

DROP TABLE `nccs`.`GraphicAndLogicalPartition`;

DROP TABLE `nccs`.`GraphicAndSpace`;

DROP TABLE `nccs`.`LogicalPartition`;

DROP TABLE `nccs`.`LogicalPartitionAndSpace`;

DROP TABLE `nccs`.`LogicalPartitionGroup`;

DROP TABLE `nccs`.`PhysicalPartition`;

DROP TABLE `nccs`.`PhysicalPartitionAndSpace`;

DROP TABLE `nccs`.`SessionAndLogicalPartition`;

DROP TABLE `nccs`.`SessionAndPhysicalPartition`;

DROP TABLE `nccs`.`SessionAndSpace`;

DROP TABLE `nccs`.`UserAndLogicalPartition`;

DROP TABLE `nccs`.`UserAndSpace`;



DELETE FROM SpaceAndDevice ;

DELETE FROM Space;

-- 1、初始化物理分区根节点
DELETE FROM `Partition`;

DELETE FROM PartitionNode;

INSERT INTO `Partition`(`name`,type) VALUES('默认分区组',0);

-- 2、初始化空间表

INSERT INTO Space(`name`,master_dev_id) SELECT  d.Dev_Name,d.DevID FROM DeviceList d where d.Dev_Name is not null;

-- 初始化分区
INSERT INTO PartitionNode(id,`name`,p_id,space_id) SELECT ClassID,`Name`,IFNULL(Parent,0),0 FROM DevClasses  UNION ALL  SELECT NULL,d.Dev_Name as Name,d.Parent,s.id  FROM DeviceList d INNER JOIN Space s on s.master_dev_id=d.DevID  WHERE d.Parent is not null;

update PartitionNode set partition_id= (SELECT id FROM `Partition` LIMIT 1);
-- 3、初始化空间设备基本属性表

INSERT INTO SpaceAndDevice(space_id,dev_id,enable_audio,enable_video) SELECT s.id,d.DevID,1,1 FROM Space s INNER  JOIN DeviceList d on s.master_dev_id=d.DevID;

-- 4、初始化用户 设备权限

UPDATE Users SET UseReceivingEndType=1,MgrReceivingEndType=1;

INSERT INTO UserAndPartitionNode(user_id,partition_id,pri) SELECT ud.UserID,pn.id,ud.Pri FROM  UserDevices ud INNER JOIN SpaceAndDevice sd on sd.dev_id=ud.DevID INNER JOIN PartitionNode pn on pn.space_id=sd.space_id;

-- 5、投影仪通道数据迁移
INSERT IGNORE INTO `SignalSourceChannel` (
    `space_id`,
    `projector_channel`,
    `preview_channel`
)(
    SELECT sp.id, proj.projector_channel, prev.preview_channel FROM `Space` sp
    LEFT JOIN (SELECT IFNULL(a.Description, '') AS projector_channel FROM `BaseInfo` a WHERE a.InfomationID = 401) AS proj ON TRUE
    LEFT JOIN (SELECT IFNULL(b.Description, '') AS preview_channel FROM `BaseInfo` b WHERE b.InfomationID = 402 ) AS prev ON TRUE
);


-- BW805只有15个分区
DELETE FROM `LogicClassDevices` WHERE `class_id` IN (SELECT `logic_class_id` FROM `PlayerKeys` WHERE `Index` >=  15);
DELETE FROM `LogicClasses` WHERE `id` IN (SELECT `logic_class_id` FROM `PlayerKeys` WHERE `Index` >=  15);
DELETE FROM  `PlayerKeys` WHERE `Index` >=  15;

-- 第三方二维码
ALTER TABLE `nccs`.`ThirdClassDevices` ADD COLUMN `qrcode` varchar(512) NOT NULL DEFAULT '' COMMENT '第三方二维码' AFTER `app_id`;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;