-- MySQL Workbench Synchronization
-- Generated: 2023-05-19 14:44:57
-- Model: nccs
-- Version: D08.03.10
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

ALTER TABLE `nccs`.`MicPhoneList` ADD COLUMN `delete_time`  bigint NOT NULL DEFAULT 0 COMMENT '删除时间' AFTER `create_time`;
ALTER TABLE `nccs`.`MicStubList` ADD COLUMN `delete_time`  bigint NOT NULL DEFAULT 0 COMMENT '删除时间' AFTER `create_time`;

CREATE TABLE IF NOT EXISTS `nccs`.`TimeTablePowerLog` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `TimeTableID` int(11) NOT NULL DEFAULT '0' COMMENT '课表ID',
  `WeekDay` tinyint(4) NOT NULL DEFAULT '0' COMMENT '上课星期',
  `Start` varchar(255) NOT NULL DEFAULT '' COMMENT '开始时间',
  `End` varchar(255) NOT NULL DEFAULT '' COMMENT '结束时间',
  `SpaceID` int(11) NOT NULL DEFAULT '0' COMMENT '联动教室ID',
  `SpaceName` varchar(255) NOT NULL DEFAULT '' COMMENT '联动教室名称',
  `DeviceID` varchar(255) NOT NULL DEFAULT '' COMMENT '设备ID',
  `AutoPower` int(11) NOT NULL DEFAULT '0' COMMENT '0-自动关机  1-自动开机',
  `AutoTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '执行时间',
  `SendCode` int(11) NOT NULL DEFAULT '0' COMMENT '联动开机下发结果',
  `CheckTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '最后检测时间',
  `CheckNum` int(11) NOT NULL DEFAULT '0' COMMENT '检测次数',
  `CheckResult` varchar(255) NOT NULL DEFAULT '' COMMENT '检查结果',
  `AddTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '日志生成时间',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='课表联动开关机日志';

-- 新增告警消息接收用户标识字段
ALTER TABLE `nccs`.`Users` ADD COLUMN `IsAlarmMsgReceiver` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否是告警消息接收用户，0-否，1-是' AFTER `QrCode`;

-- 迁移课表同步和数据库备份异常接收人到Users表
UPDATE `nccs`.`Users` SET `IsAlarmMsgReceiver` = 1 WHERE`User_ID` IN (SELECT `InfoValue` FROM `nccs`.`BaseInfo` WHERE `InfoValue` IS NOT NULL AND ( `InfomationID` = 292 OR `InfomationID` = 357 ));




-- RfChildType，物联二级分类改为逻辑删除 -以适应能耗统计报表数据
ALTER TABLE `nccs`.`RfChildType` ADD  COLUMN `IsDeleted` tinyint(1) NOT NULL DEFAULT 0;
ALTER TABLE `nccs`.`RfChildType` ADD  COLUMN `CreateTime` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP;
ALTER TABLE `nccs`.`RfChildType` ADD  COLUMN `UpdateTime` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
-- 能耗统计表增加物联二级分类字段。为数据统计做支撑
call sp_update_sub_table('DevicePower', 'ALTER TABLE `nccs`.`?` ADD  COLUMN `RfChildID` INT(11) NOT NULL DEFAULT 0;');
call sp_update_sub_table('DevicePower', 'UPDATE `nccs`.`?` d LEFT JOIN RfChildType child on (child.IsDefault=1 and child.IsDeleted=0 and child.RfType=d.SubType ) SET d.RfChildID=child.ID WHERE d.SubType<256 ;');

ALTER TABLE `nccs`.`DeviceList` ADD  COLUMN `CreateTime` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP;
UPDATE nccs.DeviceList d INNER JOIN (SELECT DeviceID,MIN(DateTime) as DateTime  FROM DeviceLog  GROUP BY DeviceID) m on m.DeviceID=d.DevID  SET d.CreateTime=m.DateTime;


UPDATE `nccs`.`EnvDataCh2oV2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataCh2oV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataCh2oV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataCh2oV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;


UPDATE `nccs`.`EnvDataCo2V2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataCo2V2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataCo2V2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataCo2V2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;

UPDATE `nccs`.`EnvDataHumidityV2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataHumidityV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataHumidityV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataHumidityV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;


UPDATE `nccs`.`EnvDataLightV2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataLightV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataLightV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataLightV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;


UPDATE `nccs`.`EnvDataNoiseV2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataNoiseV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataNoiseV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataNoiseV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;


UPDATE `nccs`.`EnvDataPm2dot5V2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataPm2dot5V2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataPm2dot5V2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataPm2dot5V2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;



UPDATE `nccs`.`EnvDataTemperatureV2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataTemperatureV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataTemperatureV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataTemperatureV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;

UPDATE `nccs`.`EnvDataTvocV2` SET `DeviceID`='' WHERE `DeviceID` is null;
ALTER TABLE `nccs`.`EnvDataTvocV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataTvocV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataTvocV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;

ALTER TABLE `nccs`.`ReportData` ADD  COLUMN `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP;
ALTER TABLE `nccs`.`ReportData` ADD  COLUMN `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;

ALTER TABLE `nccs`.`MicPhoneList` ADD  COLUMN `used_time` INT(11) NOT NULL DEFAULT 0;


CREATE TABLE `nccs`.`DeviceSubStatus` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `dev_id` varchar(255) NOT NULL COMMENT '设备ID',
   `space_id` int(11) NOT NULL DEFAULT '0' COMMENT '空间ID',
   `sub_id` int(11) NOT NULL COMMENT '0-31 表示物联。 256,257,258 表示中控、投影、二路投影',
   `rf_child_type` int(11) NOT NULL DEFAULT '0' COMMENT '物联二级分类',
   `status` int(11) NOT NULL COMMENT '状态、-1 表示离线。其余状态由不同的类型决定字段含义',
   `user_id` int(11) NOT NULL DEFAULT '0' COMMENT '操作用户ID',
   `update_status_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '状态更新时间',
   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
   PRIMARY KEY (`id`),
   KEY `index` (`dev_id`,`space_id`,`sub_id`,`rf_child_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='设备、以及子设备 状态更新存储表';

CREATE TABLE `nccs`.`DeviceUsedTime` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `DeviceID` varchar(255) NOT NULL COMMENT '设备ID',
  `StatisticDay` date NOT NULL COMMENT '日期',
  `SubID` int(11) NOT NULL COMMENT '0-31 表示物联 256-257-258-259-260 表示中控、投影、二路投影、设备故障、用户上报故障开关机、261 表示设备离线情况统计',
  `StartTime` datetime NOT NULL COMMENT '开始时间',
  `EndTime` datetime NOT NULL COMMENT '结束时间',
  `UsedTime` int(11) NOT NULL COMMENT '单位s',
  `SpaceID` int(11) NOT NULL DEFAULT '0',
  `RfChildID` int(11) NOT NULL DEFAULT '0',
  `UserID` int(11) NOT NULL DEFAULT '0' COMMENT '使用人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='设备使用时长统计表';

CREATE TABLE IF NOT EXISTS `nccs`.`PrivilegeTemplate`  (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '用户权限模板id',
    `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '模板名称',
    `privilege_list` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '权限列表，权限之间用逗号分割',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户权限模板' ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`ReportData` MODIFY COLUMN `header_column_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '子项关联ID' AFTER `row_id`;

-- function column_exists:
DROP FUNCTION IF EXISTS column_exists;
DELIMITER $$
CREATE FUNCTION column_exists(
  tname VARCHAR(64),
  cname VARCHAR(64)
)
  RETURNS BOOLEAN
  READS SQL DATA
  BEGIN
    RETURN 0 < (SELECT COUNT(*)
                FROM `INFORMATION_SCHEMA`.`COLUMNS`
                WHERE `TABLE_SCHEMA` = SCHEMA()
                      AND `TABLE_NAME` = tname
                      AND `COLUMN_NAME` = cname);
  END $$
DELIMITER ;

-- function drop_column_if_exists:
DROP PROCEDURE IF EXISTS drop_column_if_exists;

DELIMITER $$
CREATE PROCEDURE drop_column_if_exists(
  tname VARCHAR(64),
  cname VARCHAR(64)
)
  BEGIN
    IF column_exists(tname, cname)
    THEN
      SET @drop_column_if_exists = CONCAT('ALTER TABLE `', tname, '` DROP COLUMN `', cname, '`');
      PREPARE drop_query FROM @drop_column_if_exists;
      EXECUTE drop_query;
    END IF;
  END $$
DELIMITER ;

-- call drop_column_if_exists
CALL drop_column_if_exists('Student', 'SchoolID');
CALL drop_column_if_exists('RegisterUser', 'SchoolName');
CALL drop_column_if_exists('DeviceReserveHistory', 'SchoolID');
CALL drop_column_if_exists('DeviceReserveHistory', 'SchoolName');
CALL drop_column_if_exists('DeviceReserveHistory', 'MatchSchoolID');
CALL drop_column_if_exists('DeviceReserveHistory', 'MatchSchoolName');
CALL drop_column_if_exists('DeviceReserve', 'SchoolID');
CALL drop_column_if_exists('DeviceReserve', 'SchoolName');
CALL drop_column_if_exists('DeviceReserve', 'MatchSchoolID');
CALL drop_column_if_exists('DeviceReserve', 'MatchSchoolName');
CALL drop_column_if_exists('DevicePower', 'SchoolID');
CALL drop_column_if_exists('DevicePower2021', 'SchoolID');
CALL drop_column_if_exists('DevicePower2022', 'SchoolID');
CALL drop_column_if_exists('DevicePower2023', 'SchoolID');
CALL drop_column_if_exists('Scene', 'SchoolID');
CALL drop_column_if_exists('PwrDisplaySet', 'SchoolID');

-- drop created function
DROP PROCEDURE IF EXISTS drop_column_if_exists;
DROP FUNCTION IF EXISTS column_exists;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;