-- MySQL Workbench Synchronization
-- Generated: 2023-05-19 14:44:57
-- Model: nccs
-- Version: D08.03.15
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE TABLE IF NOT EXISTS `nccs`.`DeviceTotalEnergy`  (
    `dev_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备id',
    `statistic_datetime` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '统计的日期时间，按天：\"2023-06-30\" 按小时：\"2023-06-30 10\"',
    `dev_energy` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '设备能耗，单位wh，总能耗=设备能耗+子设备能耗',
    `sub_energy` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '所有子设备的能耗和，单位wh，总能耗=设备能耗+子设备能耗',
    `dev_used_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '设备使用(开机)时长，单位s，总时长=设备开机时长+子设备开机时长',
    `sub_used_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '所有子设备的开机时长之和，单位s，总时长=设备开机时长+子设备开机时长',
    `statistic_type` tinyint(4) NOT NULL COMMENT '统计类型，0-按天，1-按小时',
    `reported` tinyint(4) NOT NULL DEFAULT 0 COMMENT '该条数据是否已上报过，0-未上报，1-已向云平台上报',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    UNIQUE INDEX `index`(`dev_id`, `statistic_datetime`) USING BTREE COMMENT '设备id和统计日期索引'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备总能耗统计表' ROW_FORMAT = Dynamic;


ALTER TABLE `nccs`.`Users` MODIFY COLUMN `User_Name` varchar(255) DEFAULT NULL collate utf8_bin COMMENT '用户登录名';
ALTER TABLE `nccs`.`Users` MODIFY COLUMN `User_Sn` varchar(255) DEFAULT NULL collate utf8_bin;
ALTER TABLE `nccs`.`Users` DROP INDEX `UsbKey_UNIQUE`;
ALTER TABLE `nccs`.`Users` DROP INDEX `UnionId_uni`;

UPDATE `nccs`.`Users` SET `Mgr_Privilege` = 1, `Dev_Privilege` = 1 WHERE `User_Name` = 'idste';


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;