-- MySQL Workbench Synchronization
-- Generated: 2023-05-19 14:44:57
-- Model: nccs
-- Version: D08.03.15
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

call sp_update_sub_table('DevicePower', 'DELETE FROM `nccs`.`?` WHERE PowerConsumed=0 AND UsedTime=0;');

INSERT INTO `nccs`.`BaseInfo`(InfomationID, Description, InfoValue) (SELECT 286, 'EnableAutoPwrOffCtrl', InfoValue from `nccs`.`BaseInfo` where InfomationID = 281) ON DUPLICATE KEY UPDATE InfoValue = VALUES(InfoValue);

-- 全新安装和升级安装数据表差异处理
ALTER TABLE `nccs`.`BroadcastMode` MODIFY COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 1 COMMENT '0:设备，1：空间 ，2：分组' AFTER `StopEntryID`;

ALTER TABLE `nccs`.`EnvDataInfraredV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataInfraredV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataInfraredV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;

ALTER TABLE `nccs`.`EnvDataRadarV2` DROP INDEX `INDEX`;
ALTER TABLE `nccs`.`EnvDataRadarV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '设备ID' AFTER `ReportDate`;
ALTER TABLE `nccs`.`EnvDataRadarV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`, `DeviceID`) USING BTREE;

ALTER TABLE `nccs`.`Event` MODIFY COLUMN `Config` varbinary(64) NOT NULL COMMENT '事件配置' AFTER `EndTask`;
ALTER TABLE `nccs`.`Event` MODIFY COLUMN `Model` int(11) NOT NULL COMMENT '型号' AFTER `Config`;
ALTER TABLE `nccs`.`Event` MODIFY COLUMN `Version` int(11) NOT NULL DEFAULT 0 COMMENT '版本号:自动生成，前端禁止操作' AFTER `Model`;

ALTER TABLE `nccs`.`MediaFileExtend` MODIFY COLUMN `peer` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0:本地;1:汇聚平台;2:云端' AFTER `peer_id`;

ALTER TABLE `nccs`.`PlayerScenes` COMMENT = '采播场景';

DROP PROCEDURE IF EXISTS PwrDisplaySet_key_proc;
DELIMITER $$
CREATE PROCEDURE PwrDisplaySet_key_proc()
  BEGIN
    IF((SELECT COUNT(*) FROM INFORMATION_SCHEMA.STATISTICS WHERE TABLE_NAME = 'PwrDisplaySet' AND TABLE_SCHEMA = 'nccs' AND INDEX_NAME = 'uniqueIndex') > 0)
    THEN
      ALTER TABLE `nccs`.`PwrDisplaySet` DROP INDEX `uniqueIndex`;
    END IF;
    IF((SELECT COUNT(*) FROM INFORMATION_SCHEMA.STATISTICS WHERE TABLE_NAME = 'PwrDisplaySet' AND TABLE_SCHEMA = 'nccs' AND INDEX_NAME = 'PRIMARY') = 0)
    THEN
      ALTER TABLE `nccs`.`PwrDisplaySet` ADD PRIMARY KEY (`PwrID`) USING BTREE;
    END IF;
  END $$
DELIMITER ;
CALL PwrDisplaySet_key_proc;
DROP PROCEDURE IF EXISTS PwrDisplaySet_key_proc;

ALTER TABLE `nccs`.`RfChildType` MODIFY COLUMN `IsDeleted` tinyint(1) NOT NULL DEFAULT 0 AFTER `UpdateTime`;

DROP PROCEDURE IF EXISTS section_table_id_proc;
DELIMITER $$
CREATE PROCEDURE section_table_id_proc()
  BEGIN
    IF((SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_SCHEMA='nccs' AND TABLE_NAME='SectionTable' AND COLUMN_NAME='id') = 0)
    THEN
      ALTER TABLE `nccs`.`SectionTable` ADD COLUMN `id` int(11) UNSIGNED NOT NULL FIRST;
      ALTER TABLE `nccs`.`SectionTable` ADD PRIMARY KEY (`id`) USING BTREE;
      ALTER TABLE `nccs`.`SectionTable` MODIFY COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
    END IF;
  END $$
DELIMITER ;
CALL section_table_id_proc;
DROP PROCEDURE IF EXISTS section_table_id_proc;

ALTER TABLE `nccs`.`Space` MODIFY COLUMN `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '课表对接名称' AFTER `location`;
ALTER TABLE `nccs`.`Space` MODIFY COLUMN `space_type` int(11) NOT NULL DEFAULT 0 COMMENT '空间类型' AFTER `name`;
ALTER TABLE `nccs`.`Space` MODIFY COLUMN `class_type` int(11) NOT NULL DEFAULT 0 COMMENT '教室类型' AFTER `space_type`;

ALTER TABLE `nccs`.`Users` MODIFY COLUMN `User_Desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户姓名' AFTER `User_Name`;
ALTER TABLE `nccs`.`Users` MODIFY COLUMN `User_Sn` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学号或工号' AFTER `User_Type`;

DROP TABLE IF EXISTS `nccs`.`DevUsedStatus`;
DROP TABLE IF EXISTS `nccs`.`EnvDataCh2o`;
DROP TABLE IF EXISTS `nccs`.`EnvDataCo2`;
DROP TABLE IF EXISTS `nccs`.`EnvDataHumidity`;
DROP TABLE IF EXISTS `nccs`.`EnvDataInfrared`;
DROP TABLE IF EXISTS `nccs`.`EnvDataLight`;
DROP TABLE IF EXISTS `nccs`.`EnvDataNoise`;
DROP TABLE IF EXISTS `nccs`.`EnvDataPm2dot5`;
DROP TABLE IF EXISTS `nccs`.`EnvDataRadar`;
DROP TABLE IF EXISTS `nccs`.`EnvDataTemperature`;
DROP TABLE IF EXISTS `nccs`.`EnvDataTvoc`;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;