#!/bin/bash 
# 2023-05-04
# os ubuntu16.04 and ubuntu22.04

# ----------- enable ufw service -----------
ufw enable # ufw enable

# ----------- production environment configuration -----------
ufw allow 22/tcp && # sshd
ufw allow 80/tcp && # nginx
ufw allow 123/tcp && # ntp
ufw allow 443/tcp && # nginx
#ufw allow 8064/udp && #
ufw allow 8082/tcp && # tomcat
ufw allow 8883/tcp && # mosquitto

ufw allow 7805/udp && # iDsteServer - V1KeepalivePort
ufw allow 8205/udp && # iDsteServer - V1DevicePort
ufw allow 8206/udp && # iDsteServer - V1DevRevPort
#ufw allow 8208/udp && #

ufw allow 8500:8564/tcp && # idste ipcall
ufw allow 7000:7060/udp && # idste broadcast
ufw allow 10000:11000/udp && # idste webrtc (ipcall & camera)

# ----------- development environment configuration -----------
# ufw allow 554/tcp && # rtsp
# ufw allow 1935/tcp && # rtmp
# ufw allow 3306/tcp && # mysql
# ufw allow 5900/tcp && # vnc

# ufw allow 18040/tcp && # iDsteServer - RemoteCtrlPort
# ufw allow 18041/tcp && # iDsteServer - SystemDaemonPort
# ufw allow 18050/tcp && # iDsteCamera - ApiLocalPort
# ufw allow 18060/udp && # iDsteServer - UdpMessagePort
# ufw allow 18065/udp && #

# ufw allow 18080/tcp && #
# ufw allow 18081/tcp && # iDsteServer - WebsocketPort
# ufw allow 18083/tcp && #
# ufw allow 18086/tcp && # iDsteServer - ProxyWebsocketPort
# ufw allow 18088/udp && # iDsteServer - ApiLocalPort
# ufw allow 18089/udp && # iDsteServer - Api2LocalPort
# ufw allow 18090/tcp && # iDsteServer - OpenApiLocalPort
# ufw allow 18091/tcp && # iDsteServer - ApiDevicePort

# ufw allow 19000/tcp && # iDsteServer - DebugPort
# ufw allow 19001/tcp && # iDsteProxy - DebugPort
# ufw allow 19002/tcp && # iDsteCamera - DebugPort

# ----------- reload ufw service -----------
ufw reload

# ----------- 360safe tools -----------
# wget http://download.idste.org/tools/360safe-ubuntu-x64.deb &&
# touch /opt/pkgname.txt &&
# dpkg -i 360safe-ubuntu-x64.deb

